<template>
  <div class="page">
    <LayoutTable :data="tableData" :config="tableConfig"> </LayoutTable>

    <dialog-show ref="dialogform" @ok="getData" />
  </div>
</template>

<script>
/** 表单弹出框模式需引入 */

import dialogShow from "./dialogshow";
import table from "@/assets/mixins/table";
import session from "@/assets/utils/session";
export default {
  name: "DeviceModuleDistributeList",
  components: {
    dialogShow,
  },
  mixins: [table],
  created() {
    const siteid = session.getSession("siteid");
    console.log("siteId:"+siteid)
    this.query["siteId"]=1;
  },
  methods: {
    /** 重写新增方法 */
    toAdd(row) {
      this.$refs.dialogform.add(row);
    },
    /** 重写编辑方法 */
    toEdit(row) {
      this.$refs.dialogform.edit(row);
    },
    /** 重写查看方法 */
    toView(row) {
      this.$get("/device/module/distribute/view", { id: row.id })
        .then((res) => {
          if (res.code == 1) {
            window.open(res.data.entity.filePath, "_blank");
          }
        })
        .catch((error) => {
          this.$message.error(error.message);
        });
    },

    distribute(row) {
      this.$post("/device/module/distribute/active", row)
        .then((res) => {
          if (res.code == 1) {
            this.$message.success("模块部署成功！");
            this.getData();
          }
        })
        .catch((error) => {
          this.$message.error(error.message);
        });
    },
  },
  data() {
    return {
      config: {
        search: [
          {
            name: "productName",
            type: "text",
            label: "产品",
            fuzzy: true,
          },],
        columns: [
          { type: "selection", align: "center", width: 60 },
          { type: "index", align: "center", label: "序号", width: 50 },

          {
            label: "产品",
            align: "center",
            prop: "productId",
            formatter: this.formatter,
          },

          {
            label: "分辨率",
            align: "center",
            prop: "imageResolution",
            formatter: this.formatter,
          },

          { label: "版本号", align: "center", prop: "version" },

          {
            label: "是否部署",
            align: "center",
            prop: "distribute",
            formatter: this.formatter,
          },
          {
            label: "操作",
            align: "center",
            width: 240,
            formatter: (row) => {
              return (
                <div>
                  <table-buttons
                    noAdd
                    row={row}
                    onEdit={this.toEdit}
                    onView={this.toView}
                    onDel={this.toDel}
                  />
                  <el-button
                    size="mini"
                    type="text"
                    icon="el-icon-open"
                    onClick={() => {
                      this.distribute(row);
                    }}
                  >
                    部署
                  </el-button>
                </div>
              );
            },
          },
        ],
      },
    };
  },
};
</script>
